| Home | Libraries | People | FAQ | More

## Struct size

boost::proto::functional::size — A PolymorphicFunctionObject type that invokes the `boost::size()` function on its arguments.

## Synopsis

    // In header: <boost/proto/functional/range/size.hpp>

    struct size :  proto::callable {
      // member classes/structs/unions
      template<typename This, typename Range>
      struct result<This(Range)> :  boost::range_size<
          typename boost::remove_reference<Range>::type
      >
      {
      };

      // public member functions
      template<typename Range>
        typename boost::range_size< Range const >::type
        operator()(Range const &) const;
    };

## Description

A PolymorphicFunctionObject type that invokes the `boost::size()` function on its arguments.

### `size` public member functions

1.     template<typename Range>
         typename boost::range_size< Range const >::type
         operator()(Range const & rng) const;

   Returns: | `boost::size(rng)`